#pragma once

#include <vulkan/vulkan.hpp>

[[nodiscard]]
auto create_pipeline_layout(vk::Device) -> vk::UniquePipelineLayout;

[[nodiscard]]
auto build_graphics_pipeline(
    vk::Device         device,
    vk::PipelineLayout layout,
    vk::RenderPass     render_pass
) -> vk::UniquePipeline;
